using System;

namespace druga_runda_1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int a = int.Parse(s[0]);
            int b= int.Parse(s[1]);
            string[] k = Console.ReadLine().Split(' ');
            int x = int.Parse(k[0]);
            int y = int.Parse(k[1]);
            if(a-x>0&&b-y>0)
            {
                Console.WriteLine("?");
            }
            else
            {
                if (a - x == 0 && b - y == 0)
                {
                    Console.WriteLine("nijedan");
                }
                else
                    if (a - x > 0)
                    Console.WriteLine("prvi");
                else
                    Console.WriteLine("drugi");
            }
        }
    }
}